"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRedisServiceProvider = void 0;
const common_constant_1 = require("../constants/common.constant");
const redis_util_1 = require("../utils/redis.util");
/**
 * 创建RedisService Provider，多个Provider，Inject Token 为 namespace
 * @returns RedisService 列表 Provider
 */
const createRedisServiceProvider = () => common_constant_1.namespaces.map(namespace => ({
    provide: (0, redis_util_1.getRedisClientId)(namespace),
    useFactory: (redisUtil) => common_constant_1.serviceListWeakMap.get(redisUtil.getClient(namespace)),
    inject: [redis_util_1.RedisUtil]
}));
exports.createRedisServiceProvider = createRedisServiceProvider;
